import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
// HOOKS
import { useRef, useEffect, useImperativeHandle, forwardRef, } from "react";
import usePlateEditor from "./usePlateEditor";
// COMPONENTS
import { Plate } from "@udecode/plate-common/react";
// import { CursorOverlay } from "./components/cursor-overlay";
import { FixedToolbar } from "./components/fixed-toolbar";
import { FixedToolbarButtons } from "./components/fixed-toolbar-buttons";
import { TooltipProvider } from "./components/tooltip";
import { PlateEditorContent } from "./PlateEditorContent";
import "./styles.css";
// UTILS
import { cn } from "@udecode/cn";
const PlateEditor = forwardRef(function PlateEditor({ readOnly, onValueChange, value, type }, ref) {
    const containerRef = useRef(null);
    const plateValueRef = useRef([]);
    const editor = usePlateEditor({ value });
    const handleOnValueChange = (value) => {
        onValueChange?.(value);
        plateValueRef.current = value;
    };
    const handleValueReset = () => {
        plateValueRef.current = [];
    };
    useEffect(() => {
        if (type === "editor") {
            editor?.tf?.setValue(plateValueRef.current);
        }
    });
    // Expose the reset function via ref
    useImperativeHandle(ref, () => ({
        reset: handleValueReset,
    }));
    return (_jsx("div", { id: "twp", className: "twp", children: _jsx(TooltipProvider, { children: _jsx(Plate, { editor: editor, onChange: ({ value }) => handleOnValueChange(value), readOnly: type === "readOnly", children: _jsxs("div", { ref: containerRef, className: cn("relative", "[&_.slate-start-area-left]:!w-[64px] [&_.slate-start-area-right]:!w-[64px] [&_.slate-start-area-top]:!h-4"), children: [!readOnly && (_jsx(FixedToolbar, { children: _jsx(FixedToolbarButtons, {}) })), _jsx(PlateEditorContent, { className: "px-[96px] py-16", autoFocus: true, focusRing: false, variant: "ghost", size: "md" })] }) }) }) }));
});
export default PlateEditor;
//# sourceMappingURL=PlateEditor.js.map