"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useAlignDropdownMenu, useAlignDropdownMenuState, } from "@udecode/plate-alignment/react";
import { Icons, iconVariants } from "../icons";
import { DropdownMenu, DropdownMenuContent, DropdownMenuRadioGroup, DropdownMenuRadioItem, DropdownMenuTrigger, useOpenState, } from "./dropdown-menu";
import { ToolbarButton } from "./toolbar";
const items = [
    {
        icon: Icons.alignLeft,
        value: "left",
    },
    {
        icon: Icons.alignCenter,
        value: "center",
    },
    {
        icon: Icons.alignRight,
        value: "right",
    },
    {
        icon: Icons.alignJustify,
        value: "justify",
    },
];
export function AlignDropdownMenu({ children, ...props }) {
    const state = useAlignDropdownMenuState();
    const { radioGroupProps } = useAlignDropdownMenu(state);
    const openState = useOpenState();
    const IconValue = items.find((item) => item.value === radioGroupProps.value)?.icon ??
        Icons.alignLeft;
    return (_jsxs(DropdownMenu, { modal: false, ...openState, ...props, children: [_jsx(DropdownMenuTrigger, { asChild: true, children: _jsx(ToolbarButton, { isDropdown: true, pressed: openState.open, tooltip: "Align", children: _jsx(IconValue, {}) }) }), _jsx(DropdownMenuContent, { align: "start", className: "min-w-0", children: _jsx(DropdownMenuRadioGroup, { className: "flex flex-col gap-0.5", ...radioGroupProps, children: items.map(({ icon: Icon, value: itemValue }) => (_jsx(DropdownMenuRadioItem, { hideIcon: true, value: itemValue, children: _jsx(Icon, { className: iconVariants({ variant: "toolbar" }) }) }, itemValue))) }) })] }));
}
//# sourceMappingURL=align-dropdown-menu.js.map