"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { cn } from "@udecode/cn";
import { Icons } from "../icons";
import { buttonVariants } from "./button";
import { DropdownMenuItem } from "./dropdown-menu";
import { Tooltip, TooltipContent, TooltipTrigger } from "./tooltip";
export function ColorDropdownMenuItem({ className, isBrightColor, isSelected, name, updateColor, value, ...props }) {
    const content = (_jsx(DropdownMenuItem, { className: cn(buttonVariants({
            isMenu: true,
            variant: "outline",
        }), "size-6 border border-solid border-muted p-0 bg-transparent", !isBrightColor && "border-transparent text-white", className), onSelect: (e) => {
            e.preventDefault();
            updateColor(value);
        }, style: { backgroundColor: value }, ...props, children: isSelected ? _jsx(Icons.check, {}) : null }));
    return name ? (_jsxs(Tooltip, { children: [_jsx(TooltipTrigger, { children: content }), _jsx(TooltipContent, { children: name })] })) : (content);
}
export function ColorDropdownMenuItems({ className, color, colors, updateColor, ...props }) {
    return (_jsx("div", { className: cn("grid grid-cols-[repeat(10,1fr)] gap-1", className), ...props, children: colors.map(({ isBrightColor, name, value }) => (_jsx(ColorDropdownMenuItem, { isBrightColor: isBrightColor, isSelected: color === value, name: name, updateColor: updateColor, value: value }, name ?? value))) }));
}
//# sourceMappingURL=color-dropdown-menu-items.js.map