"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useColorDropdownMenu, useColorDropdownMenuState, } from "@udecode/plate-font/react";
import { DEFAULT_COLORS, DEFAULT_CUSTOM_COLORS } from "./color-constants";
import { ColorPicker } from "./color-picker";
import { DropdownMenu, DropdownMenuContent, DropdownMenuTrigger, } from "./dropdown-menu";
import { ToolbarButton } from "./toolbar";
export function ColorDropdownMenu({ children, nodeType, tooltip, }) {
    const state = useColorDropdownMenuState({
        closeOnSelect: true,
        colors: DEFAULT_COLORS,
        customColors: DEFAULT_CUSTOM_COLORS,
        nodeType,
    });
    const { buttonProps, menuProps } = useColorDropdownMenu(state);
    return (_jsxs(DropdownMenu, { modal: false, ...menuProps, children: [_jsx(DropdownMenuTrigger, { asChild: true, children: _jsx(ToolbarButton, { tooltip: tooltip, ...buttonProps, children: children }) }), _jsx(DropdownMenuContent, { align: "start", children: _jsx(ColorPicker, { clearColor: state.clearColor, color: state.selectedColor || state.color, colors: state.colors, customColors: state.customColors, updateColor: state.updateColorAndClose, updateCustomColor: state.updateColor }) })] }));
}
//# sourceMappingURL=color-dropdown-menu.js.map