"use client";
import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { cn } from "@udecode/cn";
import { useCommentLeaf, useCommentLeafState, } from "@udecode/plate-comments/react";
import { PlateLeaf } from "@udecode/plate-common/react";
export function CommentLeaf({ className, ...props }) {
    const { children, leaf, nodeProps } = props;
    const state = useCommentLeafState({ leaf });
    const { props: rootProps } = useCommentLeaf(state);
    if (!state.commentCount)
        return _jsx(_Fragment, { children: children });
    let aboveChildren = _jsx(_Fragment, { children: children });
    if (!state.isActive) {
        for (let i = 1; i < state.commentCount; i++) {
            aboveChildren = _jsx("span", { className: "bg-primary/20", children: aboveChildren });
        }
    }
    return (_jsx(PlateLeaf, { ...props, className: cn("border-b-2 border-b-primary/40", state.isActive ? "bg-primary/40" : "bg-primary/20", className), nodeProps: {
            ...rootProps,
            ...nodeProps,
        }, children: aboveChildren }));
}
//# sourceMappingURL=comment-leaf.js.map