"use client";
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { BoldPlugin, CodePlugin, ItalicPlugin, StrikethroughPlugin, UnderlinePlugin, } from "@udecode/plate-basic-marks/react";
import { FontBackgroundColorPlugin, FontColorPlugin, } from "@udecode/plate-font/react";
import { ListStyleType } from "@udecode/plate-indent-list";
import { Icons, iconVariants } from "../icons";
import { AlignDropdownMenu } from "./align-dropdown-menu";
import { ColorDropdownMenu } from "./color-dropdown-menu";
import { IndentListToolbarButton } from "./indent-list-toolbar-button";
import { IndentTodoToolbarButton } from "./indent-todo-toolbar-button";
import { IndentToolbarButton } from "./indent-toolbar-button";
import { InsertDropdownMenu } from "./insert-dropdown-menu";
import { LineHeightDropdownMenu } from "./line-height-dropdown-menu";
import { LinkToolbarButton } from "./link-toolbar-button";
import { MarkToolbarButton } from "./mark-toolbar-button";
import { OutdentToolbarButton } from "./outdent-toolbar-button";
// import { TableDropdownMenu } from "./table-dropdown-menu";
import { ToolbarGroup } from "./toolbar";
import { TurnIntoDropdownMenu } from "./turn-into-dropdown-menu";
export function FixedToolbarButtons() {
    return (_jsx("div", { className: "w-full overflow-hidden", children: _jsx("div", { className: "flex flex-wrap", style: {
                transform: "translateX(calc(-1px))",
            }, children: _jsxs(_Fragment, { children: [_jsxs(ToolbarGroup, { noSeparator: true, children: [_jsx(InsertDropdownMenu, {}), _jsx(TurnIntoDropdownMenu, {})] }), _jsxs(ToolbarGroup, { children: [_jsx(MarkToolbarButton, { nodeType: BoldPlugin.key, tooltip: "Bold (\u2318+B)", children: _jsx(Icons.bold, {}) }), _jsx(MarkToolbarButton, { nodeType: ItalicPlugin.key, tooltip: "Italic (\u2318+I)", children: _jsx(Icons.italic, {}) }), _jsx(MarkToolbarButton, { nodeType: UnderlinePlugin.key, tooltip: "Underline (\u2318+U)", children: _jsx(Icons.underline, {}) }), _jsx(MarkToolbarButton, { nodeType: StrikethroughPlugin.key, tooltip: "Strikethrough (\u2318+\u21E7+M)", children: _jsx(Icons.strikethrough, {}) }), _jsx(MarkToolbarButton, { nodeType: CodePlugin.key, tooltip: "Code (\u2318+E)", children: _jsx(Icons.code, {}) })] }), _jsxs(ToolbarGroup, { children: [_jsx(ColorDropdownMenu, { nodeType: FontColorPlugin.key, tooltip: "Text Color", children: _jsx(Icons.color, { className: iconVariants({ variant: "toolbar" }) }) }), _jsx(ColorDropdownMenu, { nodeType: FontBackgroundColorPlugin.key, tooltip: "Highlight Color", children: _jsx(Icons.bg, { className: iconVariants({ variant: "toolbar" }) }) })] }), _jsxs(ToolbarGroup, { children: [_jsx(AlignDropdownMenu, {}), _jsx(LineHeightDropdownMenu, {}), _jsx(IndentListToolbarButton, { nodeType: ListStyleType.Disc }), _jsx(IndentListToolbarButton, { nodeType: ListStyleType.Decimal }), _jsx(IndentTodoToolbarButton, {}), _jsx(OutdentToolbarButton, {}), _jsx(IndentToolbarButton, {})] }), _jsx(ToolbarGroup, { children: _jsx(LinkToolbarButton, {}) })] }) }) }));
}
//# sourceMappingURL=fixed-toolbar-buttons.js.map