import { jsx as _jsx } from "react/jsx-runtime";
import { withRef, withVariants } from "@udecode/cn";
import { PlateElement } from "@udecode/plate-common/react";
import { cva } from "class-variance-authority";
const headingVariants = cva("", {
    variants: {
        isFirstBlock: {
            false: "",
            true: "mt-0",
        },
        variant: {
            h1: "mb-1 mt-[2em] font-heading text-4xl font-bold",
            h2: "mb-px mt-[1.4em] font-heading text-2xl font-semibold tracking-tight",
            h3: "mb-px mt-[1em] font-heading text-xl font-semibold tracking-tight",
            h4: "mt-[0.75em] font-heading text-lg font-semibold tracking-tight",
            h5: "mt-[0.75em] text-lg font-semibold tracking-tight",
            h6: "mt-[0.75em] text-base font-semibold tracking-tight",
        },
    },
});
const HeadingElementVariants = withVariants(PlateElement, headingVariants, [
    "isFirstBlock",
    "variant",
]);
export const HeadingElement = withRef(({ children, isFirstBlock, variant = "h1", ...props }, ref) => {
    const { editor, element } = props;
    const Element = variant;
    return (_jsx(HeadingElementVariants, { asChild: true, isFirstBlock: element === editor.children[0], ref: ref, variant: variant, ...props, children: _jsx(Element, { children: children }) }));
});
//# sourceMappingURL=heading-element.js.map