import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { PlateElement, withHOC } from "@udecode/plate-common/react";
import { Image, ImagePlugin, useMediaState } from "@udecode/plate-media/react";
import { ResizableProvider, useResizableStore } from "@udecode/plate-resizable";
import { Caption, CaptionTextarea } from "./caption";
import { MediaPopover } from "./media-popover";
import { mediaResizeHandleVariants, Resizable, ResizeHandle, } from "./resizable";
export const ImageElement = withHOC(ResizableProvider, withRef(({ children, className, nodeProps, ...props }, ref) => {
    const { align = "center", focused, readOnly, selected } = useMediaState();
    const width = useResizableStore().get.width();
    return (_jsx(MediaPopover, { plugin: ImagePlugin, children: _jsxs(PlateElement, { className: cn("py-2.5", className), ref: ref, ...props, children: [_jsxs("figure", { className: "group relative m-0", contentEditable: false, children: [_jsxs(Resizable, { align: align, options: {
                                align,
                                readOnly,
                            }, children: [_jsx(ResizeHandle, { className: mediaResizeHandleVariants({ direction: "left" }), options: { direction: "left" } }), _jsx(Image, { alt: "", className: cn("block w-full max-w-full cursor-pointer object-cover px-0", "rounded-sm", focused && selected && "ring-2 ring-ring ring-offset-2"), ...nodeProps }), _jsx(ResizeHandle, { className: mediaResizeHandleVariants({
                                        direction: "right",
                                    }), options: { direction: "right" } })] }), _jsx(Caption, { align: align, style: { width }, children: _jsx(CaptionTextarea, { placeholder: "Write a caption...", readOnly: readOnly }) })] }), children] }) }));
}));
//# sourceMappingURL=image-element.js.map