import { jsx as _jsx } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { ListStyleType } from "@udecode/plate-indent-list";
import { useIndentListToolbarButton, useIndentListToolbarButtonState, } from "@udecode/plate-indent-list/react";
import { Icons } from "../icons";
import { ToolbarButton } from "./toolbar";
export const IndentListToolbarButton = withRef(({ nodeType = ListStyleType.Disc }, ref) => {
    const state = useIndentListToolbarButtonState({ nodeType });
    const { props } = useIndentListToolbarButton(state);
    return (_jsx(ToolbarButton, { ref: ref, tooltip: nodeType === ListStyleType.Disc ? "Bulleted List" : "Numbered List", ...props, children: nodeType === ListStyleType.Disc ? _jsx(Icons.ul, {}) : _jsx(Icons.ol, {}) }));
});
//# sourceMappingURL=indent-list-toolbar-button.js.map