import { ComboboxPopover } from "@ariakit/react";
import React from "react";
import type { ComboboxItemProps } from "@ariakit/react";
import type { TElement } from "@udecode/plate-common";
import type { HTMLAttributes, ReactNode } from "react";
type FilterFn = (item: {
    keywords?: string[];
    value: string;
}, search: string) => boolean;
export declare const defaultFilter: FilterFn;
interface InlineComboboxProps {
    children: ReactNode;
    element: TElement;
    trigger: string;
    filter?: FilterFn | false;
    hideWhenNoValue?: boolean;
    setValue?: (value: string) => void;
    showTrigger?: boolean;
    value?: string;
}
declare const InlineCombobox: ({ children, element, filter, hideWhenNoValue, setValue: setValueProp, showTrigger, trigger, value: valueProp, }: InlineComboboxProps) => import("react/jsx-runtime").JSX.Element;
declare const InlineComboboxInput: React.ForwardRefExoticComponent<React.HTMLAttributes<HTMLInputElement> & React.RefAttributes<HTMLInputElement>>;
declare const InlineComboboxContent: typeof ComboboxPopover;
export type InlineComboboxItemProps = {
    keywords?: string[];
} & ComboboxItemProps & Required<Pick<ComboboxItemProps, "value">>;
declare const InlineComboboxItem: ({ className, keywords, onClick, ...props }: InlineComboboxItemProps) => import("react/jsx-runtime").JSX.Element;
declare const InlineComboboxEmpty: ({ children, className, }: HTMLAttributes<HTMLDivElement>) => import("react/jsx-runtime").JSX.Element;
export { InlineCombobox, InlineComboboxContent, InlineComboboxEmpty, InlineComboboxInput, InlineComboboxItem, };
