import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { BlockquotePlugin } from "@udecode/plate-block-quote/react";
import { insertEmptyElement } from "@udecode/plate-common";
import { focusEditor, ParagraphPlugin, useEditorRef, } from "@udecode/plate-common/react";
import { HEADING_KEYS } from "@udecode/plate-heading";
import { HorizontalRulePlugin } from "@udecode/plate-horizontal-rule/react";
import { TodoListPlugin } from "@udecode/plate-list/react";
import { TablePlugin } from "@udecode/plate-table/react";
import React from "react";
import { Icons } from "../icons";
import { DropdownMenu, DropdownMenuContent, DropdownMenuItem, DropdownMenuLabel, DropdownMenuSeparator, DropdownMenuTrigger, useOpenState, } from "./dropdown-menu";
import { ToolbarButton } from "./toolbar";
export const insertItems = [
    {
        items: [
            {
                description: "Paragraph",
                icon: Icons.paragraph,
                label: "Paragraph",
                value: ParagraphPlugin.key,
            },
            {
                description: "Heading 1",
                icon: Icons.h1,
                label: "Heading 1",
                value: HEADING_KEYS.h1,
            },
            {
                description: "Heading 2",
                icon: Icons.h2,
                label: "Heading 2",
                value: HEADING_KEYS.h2,
            },
            {
                description: "Heading 3",
                icon: Icons.h3,
                label: "Heading 3",
                value: HEADING_KEYS.h3,
            },
            {
                description: "Quote (⌘+⇧+.)",
                icon: Icons.blockquote,
                label: "Quote",
                value: BlockquotePlugin.key,
            },
            {
                value: TablePlugin.key,
                label: "Table",
                description: "Table",
                icon: Icons.table,
            },
            // {
            //   value: BulletedListPlugin.key,
            //   label: "Bulleted list",
            //   description: "Bulleted list",
            //   icon: Icons.ul,
            // },
            // {
            //   value: NumberedListPlugin.key,
            //   label: "Numbered list",
            //   description: "Numbered list",
            //   icon: Icons.ol,
            // },
            {
                value: TodoListPlugin.key,
                label: "Todo list",
                description: "Todo list",
                icon: Icons.todo,
            },
            {
                value: HorizontalRulePlugin.key,
                label: "Divider",
                description: "Divider (---)",
                icon: Icons.hr,
            },
        ],
        label: "Basic blocks",
    },
    // {
    //   label: 'Media',
    //   items: [
    //     {
    //       value: CodeBlockPlugin.key,
    //       label: 'Code',
    //       description: 'Code (```)',
    //       icon: Icons.codeblock,
    //     },
    //     {
    //       value: ImagePlugin.key,
    //       label: 'Image',
    //       description: 'Image',
    //       icon: Icons.image,
    //     },
    //     {
    //       value: MediaEmbedPlugin.key,
    //       label: 'Embed',
    //       description: 'Embed',
    //       icon: Icons.embed,
    //     },
    //     {
    //       value: ExcalidrawPlugin.key,
    //       label: 'Excalidraw',
    //       description: 'Excalidraw',
    //       icon: Icons.excalidraw,
    //     },
    //   ],
    // },
    // {
    //   label: 'Inline',
    //   items: [
    //     {
    //       value: LinkPlugin.key,
    //       label: 'Link',
    //       description: 'Link',
    //       icon: Icons.link,
    //     },
    //   ],
    // },
];
export function InsertDropdownMenu(props) {
    const editor = useEditorRef();
    const openState = useOpenState();
    return (_jsxs(DropdownMenu, { modal: false, ...openState, ...props, children: [_jsx(DropdownMenuTrigger, { asChild: true, children: _jsx(ToolbarButton, { isDropdown: true, pressed: openState.open, tooltip: "Insert", children: _jsx(Icons.add, {}) }) }), _jsx(DropdownMenuContent, { align: "start", className: "flex max-h-[500px] min-w-0 flex-col gap-0.5 overflow-y-auto bg-white", children: insertItems.map(({ items: nestedItems, label }, index) => (_jsxs(React.Fragment, { children: [index !== 0 && _jsx(DropdownMenuSeparator, {}), _jsx(DropdownMenuLabel, { children: label }), nestedItems.map(({ icon: Icon, label: itemLabel, value: type }) => (_jsxs(DropdownMenuItem, { className: "min-w-[180px]", onSelect: () => {
                                switch (type) {
                                    // case CodeBlockPlugin.key: {
                                    //   insertEmptyCodeBlock(editor);
                                    //
                                    //   break;
                                    // }
                                    // case ImagePlugin.key: {
                                    //   await insertMedia(editor, { type: ImagePlugin.key });
                                    //
                                    //   break;
                                    // }
                                    // case MediaEmbedPlugin.key: {
                                    //   await insertMedia(editor, {
                                    //     type: MediaEmbedPlugin.key,
                                    //   });
                                    //
                                    //   break;
                                    // }
                                    // case 'ul':
                                    // case 'ol': {
                                    //   insertEmptyElement(editor, ParagraphPlugin.key, {
                                    //     select: true,
                                    //     nextBlock: true,
                                    //   });
                                    //
                                    //   if (settingsStore.get.checkedId(IndentListPlugin.key)) {
                                    //     toggleIndentList(editor, {
                                    //       listStyleType: type === 'ul' ? 'disc' : 'decimal',
                                    //     });
                                    //   } else if (settingsStore.get.checkedId('list')) {
                                    //     toggleList(editor, { type });
                                    //   }
                                    //
                                    //   break;
                                    // }
                                    // case TablePlugin.key: {
                                    //   insertTable(editor);
                                    //
                                    //   break;
                                    // }
                                    // case LinkPlugin.key: {
                                    //   triggerFloatingLink(editor, { focused: true });
                                    //
                                    //   break;
                                    // }
                                    default: {
                                        insertEmptyElement(editor, type, {
                                            nextBlock: true,
                                            select: true,
                                        });
                                    }
                                }
                                focusEditor(editor);
                            }, children: [_jsx(Icon, { className: "mr-2 size-5" }), itemLabel] }, type)))] }, label))) })] }));
}
//# sourceMappingURL=insert-dropdown-menu.js.map