import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useLineHeightDropdownMenu, useLineHeightDropdownMenuState, } from "@udecode/plate-line-height/react";
import { Icons } from "../icons";
import { DropdownMenu, DropdownMenuContent, DropdownMenuRadioGroup, DropdownMenuRadioItem, DropdownMenuTrigger, useOpenState, } from "./dropdown-menu";
import { ToolbarButton } from "./toolbar";
export function LineHeightDropdownMenu({ ...props }) {
    const openState = useOpenState();
    const state = useLineHeightDropdownMenuState();
    const { radioGroupProps } = useLineHeightDropdownMenu(state);
    return (_jsxs(DropdownMenu, { modal: false, ...openState, ...props, children: [_jsx(DropdownMenuTrigger, { asChild: true, children: _jsx(ToolbarButton, { isDropdown: true, pressed: openState.open, tooltip: "Line height", children: _jsx(Icons.lineHeight, {}) }) }), _jsx(DropdownMenuContent, { align: "start", className: "min-w-0", children: _jsx(DropdownMenuRadioGroup, { className: "flex flex-col gap-0.5", ...radioGroupProps, children: state.values.map((_value) => (_jsx(DropdownMenuRadioItem, { className: "min-w-[180px]", value: _value, children: _value }, _value))) }) })] }));
}
//# sourceMappingURL=line-height-dropdown-menu.js.map