"use client";
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { cn } from "@udecode/cn";
import { useFormInputProps } from "@udecode/plate-common/react";
import { flip, offset } from "@udecode/plate-floating";
import { FloatingLinkUrlInput, LinkOpenButton, useFloatingLinkEdit, useFloatingLinkEditState, useFloatingLinkInsert, useFloatingLinkInsertState, } from "@udecode/plate-link/react";
import { Icons } from "../icons";
import { buttonVariants } from "./button";
import { inputVariants } from "./input";
import { popoverVariants } from "./popover";
import { Separator } from "./separator";
const floatingOptions = {
    middleware: [
        offset(12),
        flip({
            fallbackPlacements: ["bottom-end", "top-start", "top-end"],
            padding: 12,
        }),
    ],
    placement: "bottom-start",
};
export function LinkFloatingToolbar({ state }) {
    const insertState = useFloatingLinkInsertState({
        ...state,
        floatingOptions: {
            ...floatingOptions,
            ...state?.floatingOptions,
        },
    });
    const { hidden, props: insertProps, ref: insertRef, textInputProps, } = useFloatingLinkInsert(insertState);
    const editState = useFloatingLinkEditState({
        ...state,
        floatingOptions: {
            ...floatingOptions,
            ...state?.floatingOptions,
        },
    });
    const { editButtonProps, props: editProps, ref: editRef, unlinkButtonProps, } = useFloatingLinkEdit(editState);
    const inputProps = useFormInputProps({
        preventDefaultOnEnterKeydown: true,
    });
    if (hidden)
        return null;
    const input = (_jsxs("div", { className: "flex w-[330px] flex-col bg-white", ...inputProps, children: [_jsxs("div", { className: "flex items-center", children: [_jsx("div", { className: "flex items-center pl-3 text-muted-foreground", children: _jsx(Icons.link, { className: "size-4" }) }), _jsx(FloatingLinkUrlInput, { className: inputVariants({ h: "sm", variant: "ghost" }), placeholder: "Paste link" })] }), _jsx(Separator, {}), _jsxs("div", { className: "flex items-center", children: [_jsx("div", { className: "flex items-center pl-3 text-muted-foreground", children: _jsx(Icons.text, { className: "size-4" }) }), _jsx("input", { className: inputVariants({ h: "sm", variant: "ghost" }), placeholder: "Text to display", ...textInputProps })] })] }));
    const editContent = editState.isEditing ? (input) : (_jsxs("div", { className: "box-content flex items-center gap-1 h-9", children: [_jsx("button", { className: buttonVariants({ size: "sm", variant: "ghost" }), type: "button", ...editButtonProps, children: "Edit link" }), _jsx(Separator, { orientation: "vertical" }), _jsx(LinkOpenButton, { className: buttonVariants({
                    size: "sms",
                    variant: "ghost",
                }), children: _jsx(Icons.externalLink, { width: 18 }) }), _jsx(Separator, { orientation: "vertical" }), _jsx("button", { className: buttonVariants({
                    size: "sms",
                    variant: "ghost",
                }), type: "button", ...unlinkButtonProps, children: _jsx(Icons.unlink, { width: 18 }) })] }));
    return (_jsxs(_Fragment, { children: [_jsx("div", { className: cn(popoverVariants(), "w-auto p-1"), ref: insertRef, ...insertProps, children: input }), _jsx("div", { className: cn(popoverVariants(), "w-auto p-1"), ref: editRef, ...editProps, children: editContent })] }));
}
//# sourceMappingURL=link-floating-toolbar.js.map