import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { isSelectionExpanded } from "@udecode/plate-common";
import { useEditorSelector, useElement, useRemoveNodeButton, } from "@udecode/plate-common/react";
import { floatingMediaActions, FloatingMedia as FloatingMediaPrimitive, useFloatingMediaSelectors, } from "@udecode/plate-media/react";
import { useEffect } from "react";
import { useReadOnly, useSelected } from "slate-react";
import { Icons } from "../icons";
import { Button, buttonVariants } from "./button";
import { CaptionButton } from "./caption";
import { inputVariants } from "./input";
import { Popover, PopoverAnchor, PopoverContent } from "./popover";
import { Separator } from "./separator";
export function MediaPopover({ children, plugin }) {
    const readOnly = useReadOnly();
    const selected = useSelected();
    const selectionCollapsed = useEditorSelector((editor) => !isSelectionExpanded(editor), []);
    const isOpen = !readOnly && selected && selectionCollapsed;
    const isEditing = useFloatingMediaSelectors().isEditing();
    useEffect(() => {
        if (!isOpen && isEditing) {
            floatingMediaActions.isEditing(false);
        }
    }, [isOpen]);
    const element = useElement();
    const { props: buttonProps } = useRemoveNodeButton({ element });
    if (readOnly)
        return _jsx(_Fragment, { children: children });
    return (_jsxs(Popover, { modal: false, open: isOpen, children: [_jsx(PopoverAnchor, { children: children }), _jsx(PopoverContent, { className: "w-auto p-1", onOpenAutoFocus: (e) => e.preventDefault(), children: isEditing ? (_jsx("div", { className: "flex w-[330px] flex-col", children: _jsxs("div", { className: "flex items-center", children: [_jsx("div", { className: "flex items-center pl-3 text-muted-foreground", children: _jsx(Icons.link, { className: "size-4" }) }), _jsx(FloatingMediaPrimitive.UrlInput, { className: inputVariants({ h: "sm", variant: "ghost" }), options: { plugin }, placeholder: "Paste the embed link..." })] }) })) : (_jsxs("div", { className: "box-content flex items-center gap-1 h-9", children: [_jsx(FloatingMediaPrimitive.EditButton, { className: buttonVariants({ size: "sm", variant: "ghost" }), children: "Edit link" }), _jsx(CaptionButton, { variant: "ghost", children: "Caption" }), _jsx(Separator, { className: "my-1", orientation: "vertical" }), _jsx(Button, { size: "sms", variant: "ghost", ...buttonProps, children: _jsx(Icons.delete, { className: "size-4" }) })] })) })] }));
}
//# sourceMappingURL=media-popover.js.map