import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { withRef } from "@udecode/cn";
import { PlateElement } from "@udecode/plate-common/react";
import { DatePlugin } from "@udecode/plate-date/react";
import { HEADING_KEYS } from "@udecode/plate-heading";
import { ListStyleType, toggleIndentList } from "@udecode/plate-indent-list";
import { Icons } from "../icons";
import { InlineCombobox, InlineComboboxContent, InlineComboboxEmpty, InlineComboboxInput, InlineComboboxItem, } from "./inline-combobox";
const rules = [
    {
        icon: Icons.h1,
        onSelect: (editor) => {
            editor.tf.toggle.block({ type: HEADING_KEYS.h1 });
        },
        value: "Heading 1",
    },
    {
        icon: Icons.h2,
        onSelect: (editor) => {
            editor.tf.toggle.block({ type: HEADING_KEYS.h2 });
        },
        value: "Heading 2",
    },
    {
        icon: Icons.h3,
        onSelect: (editor) => {
            editor.tf.toggle.block({ type: HEADING_KEYS.h3 });
        },
        value: "Heading 3",
    },
    {
        icon: Icons.ul,
        keywords: ["ul", "unordered list"],
        onSelect: (editor) => {
            toggleIndentList(editor, {
                listStyleType: ListStyleType.Disc,
            });
        },
        value: "Bulleted list",
    },
    {
        icon: Icons.ol,
        keywords: ["ol", "ordered list"],
        onSelect: (editor) => {
            toggleIndentList(editor, {
                listStyleType: ListStyleType.Decimal,
            });
        },
        value: "Numbered list",
    },
    {
        icon: Icons.add,
        keywords: ["inline", "date"],
        onSelect: (editor) => {
            editor.getTransforms(DatePlugin).insert.date();
        },
        value: "Date",
    },
];
export const SlashInputElement = withRef(({ className, ...props }, ref) => {
    const { children, editor, element } = props;
    return (_jsxs(PlateElement, { as: "span", "data-slate-value": element.value, ref: ref, ...props, children: [_jsxs(InlineCombobox, { element: element, trigger: "/", children: [_jsx(InlineComboboxInput, {}), _jsxs(InlineComboboxContent, { children: [_jsx(InlineComboboxEmpty, { children: "No matching commands found" }), rules.map(({ icon: Icon, keywords, onSelect, value }) => (_jsxs(InlineComboboxItem, { keywords: keywords, onClick: () => onSelect(editor), value: value, children: [_jsx(Icon, { "aria-hidden": true, className: "mr-2 size-4" }), value] }, value)))] })] }), children] }));
});
//# sourceMappingURL=slash-input-element.js.map