import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { cn, withRef } from "@udecode/cn";
import { PlateElement } from "@udecode/plate-common/react";
import { useTodoListElement, useTodoListElementState, } from "@udecode/plate-list/react";
import { Checkbox } from "./checkbox";
export const TodoListElement = withRef(({ children, className, ...props }, ref) => {
    const { element } = props;
    const state = useTodoListElementState({ element });
    const { checkboxProps } = useTodoListElement(state);
    return (_jsxs(PlateElement, { className: cn("flex flex-row py-1", className), ref: ref, ...props, children: [_jsx("div", { className: "mr-1.5 flex select-none items-center justify-center", contentEditable: false, children: _jsx(Checkbox, { ...checkboxProps }) }), _jsx("span", { className: cn("flex-1 focus:outline-none", state.checked && "text-muted-foreground line-through"), contentEditable: !state.readOnly, suppressContentEditableWarning: true, children: children })] }));
});
//# sourceMappingURL=todo-list-element.js.map