"use client";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import * as TooltipPrimitive from "@radix-ui/react-tooltip";
import { withCn, withProps } from "@udecode/cn";
import React from "react";
export const TooltipProvider = TooltipPrimitive.Provider;
export const Tooltip = TooltipPrimitive.Root;
export const TooltipTrigger = TooltipPrimitive.Trigger;
export const TooltipPortal = TooltipPrimitive.Portal;
export const TooltipContent = withCn(withProps(TooltipPrimitive.Content, {
    sideOffset: 4,
}), "z-50 overflow-hidden rounded-md border bg-popover px-3 py-1.5 text-sm text-popover-foreground shadow-md bg-white");
export function withTooltip(Component) {
    return React.forwardRef(function ExtendComponent({ tooltip, tooltipContentProps, tooltipProps, ...props }, ref) {
        const [mounted, setMounted] = React.useState(false);
        React.useEffect(() => {
            setMounted(true);
        }, []);
        const component = _jsx(Component, { ref: ref, ...props });
        if (tooltip && mounted) {
            return (_jsxs(Tooltip, { ...tooltipProps, children: [_jsx(TooltipTrigger, { asChild: true, children: component }), _jsx(TooltipPortal, { children: _jsx(TooltipContent, { ...tooltipContentProps, children: tooltip }) })] }));
        }
        return component;
    });
}
//# sourceMappingURL=tooltip.js.map