import ESLintPlugin = require("eslint-webpack-plugin");
export let entry: string;
export let plugins: ESLintPlugin[];
export let devtool: string;
export namespace module {
    let rules: ({
        test: RegExp;
        exclude: RegExp;
        use: {
            loader: string;
            options: {
                jsc: {
                    parser: {
                        syntax: string;
                    };
                };
            };
        };
    } | {
        test: RegExp;
        use: (string | {
            loader: string;
            options: {
                postcssOptions: {
                    plugins: (import("postcss").PluginCreator<string | import("tailwindcss/types/config").Config | {
                        config: string | import("tailwindcss/types/config").Config;
                    }> | typeof import("autoprefixer"))[];
                };
                api?: undefined;
            };
        } | {
            loader: string;
            options: {
                api: string;
                postcssOptions?: undefined;
            };
        })[];
        exclude?: undefined;
    })[];
}
export namespace resolve {
    let extensions: string[];
    let alias: {
        "@codemirror/state": string;
        "lodash/kebabCase": string;
    };
}
export namespace externals {
    let react: string;
}
export namespace output {
    namespace library {
        let type: string;
    }
    let globalObject: string;
    let filename: string;
    let path: string;
}
export namespace optimization {
    let removeEmptyChunks: boolean;
    let removeAvailableModules: boolean;
    let usedExports: boolean;
}
